summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-10-05 14:35:30 +0200
committerHolger Levsen <holger@layer-acht.org>2014-10-05 14:35:30 +0200
commit2e449c4f408a26fd28839f8fce44a3ef4663aa5a (patch)
tree866bc0702780274047485e8263ad465646bfce54 /bin/reproducible_build.sh
parent552464e17f26e561ae3d02b2f350170c7dffd7c1 (diff)
downloadjenkins.debian.net-2e449c4f408a26fd28839f8fce44a3ef4663aa5a.tar.xz
reproducible: or yes
Diffstat (limited to 'bin/reproducible_build.sh')
-rwxr-xr-xbin/reproducible_build.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 21172615..67a5b491 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -177,8 +177,8 @@ for SRCPACKAGE in ${PACKAGES} ; do
GOOD="${SRCPACKAGE} ${GOOD}"
else
cleanup_userContent
- cp b1/${BUILDINFO} /var/lib/jenkins/userContent/buildinfo/
- mv ./${LOGFILE} /var/lib/jenkins/userContent/dbd/
+ cp b1/${BUILDINFO} /var/lib/jenkins/userContent/buildinfo/ || true
+ mv ./${LOGFILE} /var/lib/jenkins/userContent/dbd/ || true
sqlite3 -init $INIT ${PACKAGES_DB} "REPLACE INTO source_packages VALUES (\"${SRCPACKAGE}\", \"${VERSION}\", \"unreproducible\", \"$DATE\")"
set +x
echo -n "Warning: ${SRCPACKAGE} failed to build reproducibly."